Subject: [Syslog-sec] -transport-udp, section 4.4 - UDP RFCs

From: "Rainer Gerhards" <[email-masked]>
Date: Thu, 17 Jun 2004 14:08:18 +0200

WG,

Section 4.4 specifically requires certain RFC formats for UDP. I wonder
if it wouldn't be wiser to just say "UDP" without pointing to a specific
RFC. The reasoning behind this is that e.g. a revision to RFC2640 that
leads to a new RFC number would also require a revision of
-transport-udp just to update the RFC number. As of my understanding,
the term "UDP" should be well defined enough so that there is no need to
point to the specific RFCs. This is just a thought, I am neiter sure
about it nor do I have a strong opinion.

Rainer
_______________________________________________
Syslog-sec mailing list
[email-masked]
http://www.employees.org/mailman/listinfo/syslog-sec

---

From: "Anton Okmianski" <[email-masked]>
Date: Thu, 17 Jun 2004 11:09:44 -0400

Rainer, I think it is good to mention both original UDP RFC and
RFC2460 since the latter clarified certain things about UDP use with
IPv6.  But I think I already kinda do it in one sentence: 

"This transport protocol was designed to work on top of UDP [3] over
both IPv4 [4] and IPv6 [5]."

... Where 3 is RFC768, 4 - RFC 791 and 5 - RFC 2460.  RFC 2460 does
clarify certain things with UDP (like use of checksums). I can change
it to this if you like:

"This transport protocol was designed to work on top of UDP [3][5]
over both IPv4 [4] and IPv6 [5]."

I don't like the idea of having no reference to a specific RFCs for
UDP.  

Anton.   

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf 
> Of Rainer Gerhards
> Sent: Thursday, June 17, 2004 8:08 AM
> To: [email-masked]
> Subject: [Syslog-sec] -transport-udp, section 4.4 - UDP RFCs
> 
> 
> WG,
> 
> Section 4.4 specifically requires certain RFC formats for 
> UDP. I wonder if it wouldn't be wiser to just say "UDP" 
> without pointing to a specific RFC. The reasoning behind this 
> is that e.g. a revision to RFC2640 that leads to a new RFC 
> number would also require a revision of -transport-udp just 
> to update the RFC number. As of my understanding, the term 
> "UDP" should be well defined enough so that there is no need 
> to point to the specific RFCs. This is just a thought, I am 
> neiter sure about it nor do I have a strong opinion.
> 
> Rainer
> http://www.employees.org/mailman/listinfo/sysl> og-sec
>